%define origname Squeak
%define origversion 3.10-1
Name: squeak-vm
Version: 3.10
Release: alt3
Summary: A portable implementation of the Smalltalk programming system
Vendor: Squeak.org
License: Squeak Software License
Group: Development/Other

Packager: Ildar Mulyukov <ildar@altlinux.ru>

Source: http://ftp.squeak.org/%version/unix-linux/%origname-%origversion.src.tar
#.gz
Source1: %name.copyright
Source2: squeak-start-url.desktop
Source3: http://wiki.squeak.org/squeak/uploads/2170/squeak-logo.svg
Patch1: %name-build.patch
# Automatically added by buildreq on Sat May 24 2008
BuildRequires: gcc-c++ imake libXrender-devel libXt-devel libalsa-devel libmesa-devel libuuid-devel xorg-cf-files

%description
Squeak is a full-featured implementation of the Smalltalk programming
language and environment based on (and largely compatible with) the original
Smalltalk-80 system.  Squeak has very powerful 2- and 3-D graphics, sound,
video, MIDI, animation and other multimedia capabilities -- and one of the
most impressive development environments ever created.  It also includes a
customisable framework for creating dynamic HTTP servers and interactively
extensible Web sites.  The entire Squeak system is open source software,
distributed freely with a liberal license.  See <http://Squeak.org> for
further information.

This package contains the binaries, libraries and data files needed to run
version %version of Squeak.

%prep
%setup -q -n %origname-%origversion
%patch1 -p1

%build
mkdir bld-rpm
cd bld-rpm
../platforms/unix/config/configure --prefix=%prefix --libdir=%_libdir --target=%_target \
	--docdir=%_datadir/%name-%version
%make

%install
%set_verify_elf_method textrel=relaxed
cd bld-rpm
%make_install install mandir=%_mandir ROOT=%buildroot
install inisqueak %buildroot%_bindir
# docs
mv %buildroot/usr/doc/squeak/ doc
install %SOURCE1 doc/COPYRIGHT
mkdir -p %buildroot%_iconsdir/hicolor/scalable/apps \
	%buildroot%_desktopdir
install %SOURCE2 %buildroot%_desktopdir
install %SOURCE3 %buildroot%_iconsdir/hicolor/scalable/apps

%files
%_bindir/*
%_libdir/squeak
%_desktopdir/*.desktop
%_iconsdir/hicolor/scalable/apps/*.svg
%_man1dir/*
%doc bld-rpm/doc/*
%doc platforms/unix/README.SVN
%doc platforms/unix/npsqueak/README.npsqueak
%doc platforms/unix/vm-display-fbdev/00_README.fbdev

%changelog
* Mon Nov 10 2008 Ildar Mulyukov <ildar@altlinux.ru> 3.10-alt3
- fixed new buildreq
- install inisqueak manually (fixes #16503)
- fix libdir (spec)
- partial fix desktop file according to repocop

* Mon May 26 2008 Ildar Mulyukov <ildar@altlinux.ru> 3.10-alt2
- added desktop file for begginers with icon

* Thu May 22 2008 Ildar Mulyukov <ildar@altlinux.ru> 3.10-alt1
- first release for ALTLinux

